[evolvis-commits] r18479: copy src/debian/dsf-in/plugin.prerm (no practical change)

mirabilos at evolvis.org mirabilos at evolvis.org
Thu Jul 12 11:13:52 CEST 2012


Author: mirabilos
Date: 2012-07-12 11:13:52 +0200 (Thu, 12 Jul 2012)
New Revision: 18479

Added:
   trunk/gforge_base/evolvisforge-5.1/src/plugins/mediawiki/debian/plugin-mediawiki.prerm
Log:
copy src/debian/dsf-in/plugin.prerm (no practical change)

except the code is now taken from here

Added: trunk/gforge_base/evolvisforge-5.1/src/plugins/mediawiki/debian/plugin-mediawiki.prerm
===================================================================
--- trunk/gforge_base/evolvisforge-5.1/src/plugins/mediawiki/debian/plugin-mediawiki.prerm	                        (rev 0)
+++ trunk/gforge_base/evolvisforge-5.1/src/plugins/mediawiki/debian/plugin-mediawiki.prerm	2012-07-12 09:13:52 UTC (rev 18479)
@@ -0,0 +1,46 @@
+#! /bin/sh
+# prerm script for @OLDPACKAGE at -plugin-@PLUGSHORTNAME@
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <prerm> `remove'
+#        * <old-prerm> `upgrade' <new-version>
+#        * <new-prerm> `failed-upgrade' <old-version>
+#        * <conflictor's-prerm> `remove' `in-favour' <package> <new-version>
+#        * <deconfigured's-prerm> `deconfigure' `in-favour'
+#          <package-being-installed> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    remove|deconfigure)
+	if [ -f /var/run/postgresql/.s.PGSQL.5432 ]
+	then
+		/usr/share/@OLDPACKAGE@/bin/unregister-plugin @PLUGSHORTNAME@
+		if [ -f /usr/share/@OLDPACKAGE@/plugins/@PLUGSHORTNAME@/bin/db-delete.pl ]
+		then
+			/usr/share/@OLDPACKAGE@/plugins/@PLUGSHORTNAME@/bin/db-delete.pl
+		fi
+	fi
+        ;;
+    upgrade|failed-upgrade)
+        ;;
+    *)
+        echo "prerm called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+



More information about the evolvis-commits mailing list